---
// Component Imports
import HeaderLogo from '../components/HeaderLogo.astro';
import Footer from '../components/Footer.astro';
import NavList from '../components/NavList.astro';
import NavListItem from '../components/NavListItem.astro';

// You can import components from any supported Framework here!


// Component Script:
// You can write any JavaScript/TypeScript that you'd like here.
// It will run during the build, but never in the browser.
// All variables are available to use in the HTML template below.
let {title} = Astro.props;

// Full Astro Component Syntax:
// https://docs.astro.build/core-concepts/astro-components/
---
<html lang="en" class="scroll-smooth">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>{title}</title>
    <meta name="description" content="“Enseñar a aprender, aprender a enseñar”. No es un eslogan sin más. Es la esencia de la nueva tarea. El maestro debe enseñar a sus alumnos a lograr la autonomía e independencia necesaria para seguir aprendiendo durante toda la vida.">
    
    <link rel="shortcut icon" href="/assets/ico/favicon.ico">
    <link rel="apple-touch-icon-precomposed" sizes="144x144" href="/assets/ico/apple-touch-icon-144-precomposed.png">
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="/assets/ico/apple-touch-icon-114-precomposed.png">
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="/assets/ico/apple-touch-icon-72-precomposed.png">
    <link rel="apple-touch-icon-precomposed" href="/assets/ico/apple-touch-icon-57-precomposed.png">

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="/global.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" integrity="sha512-SfTiTlX6kk+qitfevl/7LibUOeJWlt9rbyDn92a1DqWOw9vWG2MFoays0sgObmWazO5BQPiFucnnEAjpAB+/Sw==" crossorigin="anonymous" referrerpolicy="no-referrer" />

    <meta property="og:url" content="https://www.ensenaraaprender.es" />
    <meta property="og:type" content="website" />
    <meta property="og:title" content="Enseñar a aprender" />
    <meta property="og:description" content="Os damos la bienvenida a ENAP 2021,  con muchas nuevas ideas, con la ilusión y las propuestas más inspiradoras para generar un encuentro muy especial en el que crecer juntos. " />
    <meta property="og:image" content="https://www.ensenaraaprender.es/images/imgfacebook.jpg" />
</head>
<body class="bg-bg1 text-black font-Poppins">
    <div class="sticky top-0 left-0 w-full z-30 grid">
        <HeaderLogo logoSrc="/assets/minilogo.png" />
        <NavList>
            <NavListItem url="/programa" color="bg-enap1">Programa</NavListItem>
            <NavListItem url="/#ponentes" color="bg-enap2">Ponentes</NavListItem>
            <!-- <NavListItem url="https://www.fundacionsanpatricio.org/es/formulario_enap_online.php" color="bg-enap3">Inscripción al Congreso ONLINE</NavListItem>-->
            <NavListItem url="/#anteriores" color="bg-enap3">Ediciones anteriores</NavListItem>
            <NavListItem url="/#ubicacion" color="bg-enap4">Lugar de realización</NavListItem>
            <NavListItem url="/#colaboradores" color="bg-enap5">Colaboradores</NavListItem>
        </NavList>
    </div>
    <div class=""></div>
    <slot/>
    
    <Footer />
</body>
</html>
